Index: cbv2/src/arch/i386/boot/Config.lb
===================================================================
--- cbv2.orig/src/arch/i386/boot/Config.lb
+++ cbv2/src/arch/i386/boot/Config.lb
@@ -1,5 +1,5 @@
-uses CONFIG_HAVE_PIRQ_TABLE
-uses CONFIG_HAVE_ACPI_TABLES
+uses CONFIG_GENERATE_PIRQ_TABLE
+uses CONFIG_GENERATE_ACPI_TABLES
 uses CONFIG_MULTIBOOT
 uses CONFIG_HAVE_ACPI_RESUME
 
@@ -9,10 +9,10 @@ if CONFIG_MULTIBOOT
 object multiboot.o
 end
 object tables.o
-if CONFIG_HAVE_PIRQ_TABLE
+if CONFIG_GENERATE_PIRQ_TABLE
 object pirq_routing.o 
 end
-if CONFIG_HAVE_ACPI_TABLES
+if CONFIG_GENERATE_ACPI_TABLES
 object acpi.o
 object acpigen.o
 if CONFIG_HAVE_ACPI_RESUME
Index: cbv2/src/arch/i386/boot/Makefile.inc
===================================================================
--- cbv2.orig/src/arch/i386/boot/Makefile.inc
+++ cbv2/src/arch/i386/boot/Makefile.inc
@@ -2,8 +2,8 @@ obj-y += boot.o
 obj-y += coreboot_table.o
 obj-$(CONFIG_MULTIBOOT) += multiboot.o
 obj-y += tables.o
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += pirq_routing.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += acpi.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += acpigen.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += pirq_routing.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += acpi.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += acpigen.o
 obj-$(CONFIG_HAVE_ACPI_RESUME) += wakeup.S
 
Index: cbv2/src/arch/i386/boot/pirq_routing.c
===================================================================
--- cbv2.orig/src/arch/i386/boot/pirq_routing.c
+++ cbv2/src/arch/i386/boot/pirq_routing.c
@@ -3,7 +3,7 @@
 #include <string.h>
 #include <device/pci.h>
 
-#if (CONFIG_DEBUG==1 && CONFIG_HAVE_PIRQ_TABLE==1)
+#if (CONFIG_DEBUG==1 && CONFIG_GENERATE_PIRQ_TABLE==1)
 static void check_pirq_routing_table(struct irq_routing_table *rt)
 {
 	uint8_t *addr = (uint8_t *)rt;
@@ -83,7 +83,7 @@ static int verify_copy_pirq_routing_tabl
 #define verify_copy_pirq_routing_table(addr)
 #endif
 
-#if CONFIG_HAVE_PIRQ_TABLE==1
+#if CONFIG_GENERATE_PIRQ_TABLE==1
 unsigned long copy_pirq_routing_table(unsigned long addr)
 {
 	/* Align the table to be 16 byte aligned. */
@@ -100,7 +100,7 @@ unsigned long copy_pirq_routing_table(un
 }
 #endif
 
-#if (CONFIG_PIRQ_ROUTE==1 && CONFIG_HAVE_PIRQ_TABLE==1)
+#if (CONFIG_PIRQ_ROUTE==1 && CONFIG_GENERATE_PIRQ_TABLE==1)
 void pirq_routing_irqs(unsigned long addr)
 {
 	int i, j, k, num_entries;
Index: cbv2/src/arch/i386/boot/tables.c
===================================================================
--- cbv2.orig/src/arch/i386/boot/tables.c
+++ cbv2/src/arch/i386/boot/tables.c
@@ -104,7 +104,7 @@ struct lb_memory *write_tables(void)
 	post_code(0x9a);
 
 	/* Write ACPI tables to F segment and high tables area */
-#if CONFIG_HAVE_ACPI_TABLES == 1
+#if CONFIG_GENERATE_ACPI_TABLES == 1
 	if (high_tables_base) {
 		unsigned long acpi_start = high_table_end;
 		rom_table_end = ALIGN(rom_table_end, 16);
@@ -134,7 +134,7 @@ struct lb_memory *write_tables(void)
 #endif
 	post_code(0x9b);
 
-#if CONFIG_HAVE_MP_TABLE == 1
+#if CONFIG_GENERATE_MP_TABLE == 1
 	/* The smp table must be in 0-1K, 639K-640K, or 960K-1M */
 	rom_table_end = write_smp_table(rom_table_end);
 	rom_table_end = ALIGN(rom_table_end, 1024);
@@ -144,7 +144,7 @@ struct lb_memory *write_tables(void)
 		high_table_end = write_smp_table(high_table_end);
 		high_table_end = ALIGN(high_table_end, 1024);
 	}
-#endif /* CONFIG_HAVE_MP_TABLE */
+#endif /* CONFIG_GENERATE_MP_TABLE */
 
 	post_code(0x9c);
 
Index: cbv2/src/arch/i386/include/arch/acpi.h
===================================================================
--- cbv2.orig/src/arch/i386/include/arch/acpi.h
+++ cbv2/src/arch/i386/include/arch/acpi.h
@@ -14,7 +14,7 @@
 #ifndef __ASM_ACPI_H
 #define __ASM_ACPI_H
 
-#if CONFIG_HAVE_ACPI_TABLES==1
+#if CONFIG_GENERATE_ACPI_TABLES==1
 
 #include <stdint.h>
  
@@ -404,7 +404,7 @@ do {                                    
 
 #define IO_APIC_ADDR	0xfec00000UL
 
-#else // CONFIG_HAVE_ACPI_TABLES
+#else // CONFIG_GENERATE_ACPI_TABLES
 
 #define write_acpi_tables(start) (start)
 
Index: cbv2/src/arch/i386/include/arch/pirq_routing.h
===================================================================
--- cbv2.orig/src/arch/i386/include/arch/pirq_routing.h
+++ cbv2/src/arch/i386/include/arch/pirq_routing.h
@@ -39,7 +39,7 @@ struct irq_routing_table {
 
 extern const struct irq_routing_table intel_irq_routing_table;
 
-#if CONFIG_HAVE_PIRQ_TABLE==1
+#if CONFIG_GENERATE_PIRQ_TABLE==1
 unsigned long copy_pirq_routing_table(unsigned long start);
 unsigned long write_pirq_routing_table(unsigned long start);
 #if CONFIG_PIRQ_ROUTE==1
Index: cbv2/src/arch/i386/smp/Config.lb
===================================================================
--- cbv2.orig/src/arch/i386/smp/Config.lb
+++ cbv2/src/arch/i386/smp/Config.lb
@@ -1,6 +1,6 @@
-uses CONFIG_HAVE_MP_TABLE
+uses CONFIG_GENERATE_MP_TABLE
 
-if CONFIG_HAVE_MP_TABLE
+if CONFIG_GENERATE_MP_TABLE
   object mpspec.o 
 end
 #object ioapic.o CONFIG_IOAPIC
Index: cbv2/src/arch/i386/smp/Makefile.inc
===================================================================
--- cbv2.orig/src/arch/i386/smp/Makefile.inc
+++ cbv2/src/arch/i386/smp/Makefile.inc
@@ -1,4 +1,4 @@
-obj-$(CONFIG_HAVE_MP_TABLE) += mpspec.o
+obj-$(CONFIG_GENERATE_MP_TABLE) += mpspec.o
 # what about this: how awkward.
 #object ioapic.o CONFIG_IOAPIC
 
Index: cbv2/src/arch/ppc/include/arch/pirq_routing.h
===================================================================
--- cbv2.orig/src/arch/ppc/include/arch/pirq_routing.h
+++ cbv2/src/arch/ppc/include/arch/pirq_routing.h
@@ -39,13 +39,13 @@ struct irq_routing_table {
 
 extern const struct irq_routing_table intel_irq_routing_table;
 
-#if defined(CONFIG_DEBUG) && defined(CONFIG_HAVE_PIRQ_TABLE)
+#if defined(CONFIG_DEBUG) && defined(CONFIG_GENERATE_PIRQ_TABLE)
 void check_pirq_routing_table(void);
 #else
 #define check_pirq_routing_table() do {} while(0)
 #endif
 
-#if defined(CONFIG_HAVE_PIRQ_TABLE)
+#if defined(CONFIG_GENERATE_PIRQ_TABLE)
 unsigned long copy_pirq_routing_table(unsigned long start);
 #else
 #define copy_pirq_routing_table(start) (start)
Index: cbv2/src/config/Options.lb
===================================================================
--- cbv2.orig/src/config/Options.lb
+++ cbv2/src/config/Options.lb
@@ -601,7 +601,7 @@ define CONFIG_AP_IN_SIPI_WAIT
 	export always
 	comment "Should application processors go to SIPI wait state after initialization? (Required for Intel Core Duo)"
 end
-define CONFIG_HAVE_MP_TABLE
+define CONFIG_GENERATE_MP_TABLE
 	default none
 	export used
 	comment "Define to build an MP table"
@@ -696,7 +696,7 @@ end
 # IRQ options
 ###############################################
 
-define CONFIG_HAVE_PIRQ_TABLE
+define CONFIG_GENERATE_PIRQ_TABLE
 	default none
 	export used
 	comment "Define if we have a PIRQ table"
@@ -886,7 +886,7 @@ define CONFIG_FAKE_SPDROM
 	comment "Use this to fake spd rom values"
 end
 
-define CONFIG_HAVE_ACPI_TABLES
+define CONFIG_GENERATE_ACPI_TABLES
 	default 0
 	export always
 	comment "Define to build ACPI tables"
@@ -1131,7 +1131,7 @@ define CONFIG_HAVE_LOW_TABLES
 	comment "Enable if ACPI, PIRQ, MP tables are supposed to live in the low megabyte"
 end
 
-define CONFIG_HAVE_HIGH_TABLES
+define CONFIG_WRITE_HIGH_TABLES
 	default 0
 	export always
 	comment "Enable if ACPI, PIRQ, MP tables are supposed to live at top of memory"
Index: cbv2/src/cpu/intel/speedstep/Makefile.inc
===================================================================
--- cbv2.orig/src/cpu/intel/speedstep/Makefile.inc
+++ cbv2/src/cpu/intel/speedstep/Makefile.inc
@@ -1 +1 @@
-obj-$(CONFIG_HAVE_ACPI_TABLES) += acpi.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += acpi.o
Index: cbv2/src/mainboard/Makefile.romccboard.inc
===================================================================
--- cbv2.orig/src/mainboard/Makefile.romccboard.inc
+++ cbv2/src/mainboard/Makefile.romccboard.inc
@@ -44,8 +44,8 @@ ldscript-y += ../../../../src/arch/i386/
 
 driver-y += mainboard.o
 
-obj-$(CONFIG_HAVE_MP_TABLE) += mptable.o
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_MP_TABLE) += mptable.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
 
 ifdef POST_EVALUATION
 
Index: cbv2/src/mainboard/a-trend/atc-6220/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/a-trend/atc-6220/Config.lb
+++ cbv2/src/mainboard/a-trend/atc-6220/Config.lb
@@ -25,7 +25,7 @@ default CONFIG_XIP_ROM_BASE = 0xffffffff
 
 arch i386 end
 driver mainboard.o
-if CONFIG_HAVE_PIRQ_TABLE
+if CONFIG_GENERATE_PIRQ_TABLE
 	object irq_tables.o
 end
 makerule ./failover.E
Index: cbv2/src/mainboard/a-trend/atc-6220/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/a-trend/atc-6220/Options.lb
+++ cbv2/src/mainboard/a-trend/atc-6220/Options.lb
@@ -18,8 +18,8 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -45,7 +45,7 @@ uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
-uses CONFIG_HAVE_MP_TABLE
+uses CONFIG_GENERATE_MP_TABLE
 uses CONFIG_CROSS_COMPILE
 uses CC
 uses HOSTCC
@@ -65,11 +65,11 @@ uses CONFIG_PCI_ROM_RUN
 
 default CONFIG_ROM_SIZE = 256 * 1024
 default CONFIG_HAVE_FALLBACK_BOOT = 1
-default CONFIG_HAVE_MP_TABLE = 0
+default CONFIG_GENERATE_MP_TABLE = 0
 default CONFIG_HAVE_HARD_RESET = 0
 default CONFIG_UDELAY_TSC = 1
 default CONFIG_TSC_X86RDTSC_CALIBRATE_WITH_TIMER2 = 1
-default CONFIG_HAVE_PIRQ_TABLE = 1
+default CONFIG_GENERATE_PIRQ_TABLE = 1
 default CONFIG_IRQ_SLOT_COUNT = 7		# Override this in targets/*/Config.lb.
 default CONFIG_MAINBOARD_VENDOR = "N/A"	# Override this in targets/*/Config.lb.
 default CONFIG_MAINBOARD_PART_NUMBER = "N/A"	# Override this in targets/*/Config.lb.
Index: cbv2/src/mainboard/a-trend/atc-6240/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/a-trend/atc-6240/Config.lb
+++ cbv2/src/mainboard/a-trend/atc-6240/Config.lb
@@ -25,7 +25,7 @@ default CONFIG_XIP_ROM_BASE = 0xffffffff
 
 arch i386 end
 driver mainboard.o
-if CONFIG_HAVE_PIRQ_TABLE
+if CONFIG_GENERATE_PIRQ_TABLE
 	object irq_tables.o
 end
 makerule ./failover.E
Index: cbv2/src/mainboard/a-trend/atc-6240/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/a-trend/atc-6240/Options.lb
+++ cbv2/src/mainboard/a-trend/atc-6240/Options.lb
@@ -18,8 +18,8 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -45,7 +45,7 @@ uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
-uses CONFIG_HAVE_MP_TABLE
+uses CONFIG_GENERATE_MP_TABLE
 uses CONFIG_CROSS_COMPILE
 uses CC
 uses HOSTCC
@@ -65,11 +65,11 @@ uses CONFIG_PCI_ROM_RUN
 
 default CONFIG_ROM_SIZE = 256 * 1024
 default CONFIG_HAVE_FALLBACK_BOOT = 1
-default CONFIG_HAVE_MP_TABLE = 0
+default CONFIG_GENERATE_MP_TABLE = 0
 default CONFIG_HAVE_HARD_RESET = 0
 default CONFIG_UDELAY_TSC = 1
 default CONFIG_TSC_X86RDTSC_CALIBRATE_WITH_TIMER2 = 1
-default CONFIG_HAVE_PIRQ_TABLE = 1
+default CONFIG_GENERATE_PIRQ_TABLE = 1
 default CONFIG_IRQ_SLOT_COUNT = 7		# Override this in targets/*/Config.lb.
 default CONFIG_MAINBOARD_VENDOR = "N/A"	# Override this in targets/*/Config.lb.
 default CONFIG_MAINBOARD_PART_NUMBER = "N/A"	# Override this in targets/*/Config.lb.
Index: cbv2/src/mainboard/abit/be6-ii_v2_0/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/abit/be6-ii_v2_0/Config.lb
+++ cbv2/src/mainboard/abit/be6-ii_v2_0/Config.lb
@@ -25,7 +25,7 @@ default CONFIG_XIP_ROM_BASE = 0xffffffff
 
 arch i386 end
 driver mainboard.o
-if CONFIG_HAVE_PIRQ_TABLE
+if CONFIG_GENERATE_PIRQ_TABLE
 	object irq_tables.o
 end
 makerule ./failover.E
Index: cbv2/src/mainboard/abit/be6-ii_v2_0/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/abit/be6-ii_v2_0/Options.lb
+++ cbv2/src/mainboard/abit/be6-ii_v2_0/Options.lb
@@ -18,8 +18,8 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -46,7 +46,7 @@ uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
-uses CONFIG_HAVE_MP_TABLE
+uses CONFIG_GENERATE_MP_TABLE
 uses CONFIG_CROSS_COMPILE
 uses CC
 uses HOSTCC
@@ -66,11 +66,11 @@ uses CONFIG_PCI_ROM_RUN
 
 default CONFIG_ROM_SIZE = 256 * 1024		# Override this in targets/*/Config.lb.
 default CONFIG_HAVE_FALLBACK_BOOT = 1
-default CONFIG_HAVE_MP_TABLE = 0
+default CONFIG_GENERATE_MP_TABLE = 0
 default CONFIG_HAVE_HARD_RESET = 0
 default CONFIG_UDELAY_TSC = 1
 default CONFIG_TSC_X86RDTSC_CALIBRATE_WITH_TIMER2 = 1
-default CONFIG_HAVE_PIRQ_TABLE = 1
+default CONFIG_GENERATE_PIRQ_TABLE = 1
 default CONFIG_IRQ_SLOT_COUNT = 9		# Override this in targets/*/Config.lb.
 default CONFIG_MAINBOARD_VENDOR = "N/A"	# Override this in targets/*/Config.lb.
 default CONFIG_MAINBOARD_PART_NUMBER = "N/A"	# Override this in targets/*/Config.lb.
Index: cbv2/src/mainboard/advantech/pcm-5820/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/advantech/pcm-5820/Config.lb
+++ cbv2/src/mainboard/advantech/pcm-5820/Config.lb
@@ -24,7 +24,7 @@ include /config/nofailovercalculation.lb
 
 arch i386 end
 driver mainboard.o
-if CONFIG_HAVE_PIRQ_TABLE
+if CONFIG_GENERATE_PIRQ_TABLE
 	object irq_tables.o
 end
 makerule ./failover.E
Index: cbv2/src/mainboard/advantech/pcm-5820/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/advantech/pcm-5820/Options.lb
+++ cbv2/src/mainboard/advantech/pcm-5820/Options.lb
@@ -18,8 +18,8 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -72,11 +72,11 @@ default CONFIG_SPLASH_GRAPHIC = 1
 default CONFIG_VIDEO_MB = 2
 
 default CONFIG_ROM_SIZE = 256 * 1024
-default CONFIG_HAVE_PIRQ_TABLE = 1
+default CONFIG_GENERATE_PIRQ_TABLE = 1
 default CONFIG_IRQ_SLOT_COUNT = 2		# Override this in targets/*/Config.lb.
 default CONFIG_PIRQ_ROUTE = 1
 default CONFIG_HAVE_FALLBACK_BOOT = 1
-default CONFIG_HAVE_MP_TABLE = 0
+default CONFIG_GENERATE_MP_TABLE = 0
 default CONFIG_HAVE_HARD_RESET = 0
 default CONFIG_UDELAY_TSC = 1
 default CONFIG_TSC_X86RDTSC_CALIBRATE_WITH_TIMER2 = 1
Index: cbv2/src/mainboard/amd/db800/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/amd/db800/Config.lb
+++ cbv2/src/mainboard/amd/db800/Config.lb
@@ -14,7 +14,7 @@ arch i386 end
 
 driver mainboard.o
 
-if CONFIG_HAVE_PIRQ_TABLE
+if CONFIG_GENERATE_PIRQ_TABLE
 	object irq_tables.o
 end
 
Index: cbv2/src/mainboard/amd/db800/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/amd/db800/Makefile.inc
+++ cbv2/src/mainboard/amd/db800/Makefile.inc
@@ -1,7 +1,7 @@
 driver-y += mainboard.o
 
 # Needed by irq_tables and mptable and acpi_tables.
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
 
 # This is part of the conversion to init-obj and away from included code.
 
Index: cbv2/src/mainboard/amd/db800/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/amd/db800/Options.lb
+++ cbv2/src/mainboard/amd/db800/Options.lb
@@ -1,5 +1,5 @@
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -27,7 +27,7 @@ uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
-uses CONFIG_HAVE_MP_TABLE
+uses CONFIG_GENERATE_MP_TABLE
 uses CONFIG_CROSS_COMPILE
 uses CC
 uses HOSTCC
@@ -67,7 +67,7 @@ default CONFIG_HAVE_FALLBACK_BOOT=1
 ##
 ## no MP table
 ##
-default CONFIG_HAVE_MP_TABLE=0
+default CONFIG_GENERATE_MP_TABLE=0
 
 ##
 ## Build code to reset the motherboard from coreboot
@@ -82,7 +82,7 @@ default CONFIG_TSC_X86RDTSC_CALIBRATE_WI
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=4
 default CONFIG_PIRQ_ROUTE=1
 #object irq_tables.o
Index: cbv2/src/mainboard/amd/dbm690t/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/amd/dbm690t/Config.lb
+++ cbv2/src/mainboard/amd/dbm690t/Config.lb
@@ -33,13 +33,13 @@ driver mainboard.o
 
 #dir /drivers/si/3114
 
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE
 	object get_bus_conf.o
 	object irq_tables.o
 end
 
-if CONFIG_HAVE_ACPI_TABLES
+if CONFIG_GENERATE_ACPI_TABLES
 	object acpi_tables.o
 	object fadt.o
 	makerule dsdt.c
Index: cbv2/src/mainboard/amd/dbm690t/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/amd/dbm690t/Makefile.inc
+++ cbv2/src/mainboard/amd/dbm690t/Makefile.inc
@@ -23,11 +23,11 @@ driver-y += mainboard.o
 
 # Needed by irq_tables and mptable and acpi_tables.
 obj-y += get_bus_conf.o
-obj-$(CONFIG_HAVE_MP_TABLE) += mptable.o
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += dsdt.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += acpi_tables.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += fadt.o
+obj-$(CONFIG_GENERATE_MP_TABLE) += mptable.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += dsdt.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += acpi_tables.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += fadt.o
 
 # This is part of the conversion to init-obj and away from included code.
 
Index: cbv2/src/mainboard/amd/dbm690t/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/amd/dbm690t/Options.lb
+++ cbv2/src/mainboard/amd/dbm690t/Options.lb
@@ -19,9 +19,9 @@
 ##
 ##
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
-uses CONFIG_HAVE_ACPI_TABLES
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
+uses CONFIG_GENERATE_ACPI_TABLES
 uses CONFIG_HAVE_ACPI_RESUME
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
@@ -120,17 +120,17 @@ default CONFIG_HAVE_HARD_RESET=1
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=11
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ## ACPI tables will be included
-default CONFIG_HAVE_ACPI_TABLES=1
+default CONFIG_GENERATE_ACPI_TABLES=1
 
 ##
 ## Build code to export a CMOS option table
Index: cbv2/src/mainboard/amd/dbm690t/mptable.c
===================================================================
--- cbv2.orig/src/mainboard/amd/dbm690t/mptable.c
+++ cbv2/src/mainboard/amd/dbm690t/mptable.c
@@ -142,7 +142,7 @@ void *smp_write_config_table(void *v)
 	/* PCI interrupts are level triggered, and are
 	 * associated with a specific bus/device/function tuple.
 	 */
-#if CONFIG_HAVE_ACPI_TABLES == 0
+#if CONFIG_GENERATE_ACPI_TABLES == 0
 #define PCI_INT(bus, dev, fn, pin) \
         smp_write_intsrc(mc, mp_INT, MP_IRQ_TRIGGER_LEVEL|MP_IRQ_POLARITY_LOW, (bus), (((dev)<<2)|(fn)), apicid_sb600, (pin))
 #else
Index: cbv2/src/mainboard/amd/norwich/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/amd/norwich/Config.lb
+++ cbv2/src/mainboard/amd/norwich/Config.lb
@@ -14,7 +14,7 @@ arch i386 end
 
 driver mainboard.o
 
-if CONFIG_HAVE_PIRQ_TABLE
+if CONFIG_GENERATE_PIRQ_TABLE
 	object irq_tables.o
 end
 
Index: cbv2/src/mainboard/amd/norwich/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/amd/norwich/Makefile.inc
+++ cbv2/src/mainboard/amd/norwich/Makefile.inc
@@ -1,7 +1,7 @@
 driver-y += mainboard.o
 
 # Needed by irq_tables and mptable and acpi_tables.
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
 
 # This is part of the conversion to init-obj and away from included code.
 
Index: cbv2/src/mainboard/amd/norwich/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/amd/norwich/Options.lb
+++ cbv2/src/mainboard/amd/norwich/Options.lb
@@ -1,5 +1,5 @@
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -27,7 +27,7 @@ uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
-uses CONFIG_HAVE_MP_TABLE
+uses CONFIG_GENERATE_MP_TABLE
 uses CONFIG_CROSS_COMPILE
 uses CC
 uses HOSTCC
@@ -67,7 +67,7 @@ default CONFIG_HAVE_FALLBACK_BOOT=1
 ##
 ## no MP table
 ##
-default CONFIG_HAVE_MP_TABLE=0
+default CONFIG_GENERATE_MP_TABLE=0
 
 ##
 ## Build code to reset the motherboard from coreboot
@@ -82,7 +82,7 @@ default CONFIG_TSC_X86RDTSC_CALIBRATE_WI
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=6
 default CONFIG_PIRQ_ROUTE=1
 #object irq_tables.o
Index: cbv2/src/mainboard/amd/pistachio/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/amd/pistachio/Config.lb
+++ cbv2/src/mainboard/amd/pistachio/Config.lb
@@ -33,13 +33,13 @@ driver mainboard.o
 
 #dir /drivers/si/3114
 
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE
 	object get_bus_conf.o
 	object irq_tables.o
 end
 
-if CONFIG_HAVE_ACPI_TABLES
+if CONFIG_GENERATE_ACPI_TABLES
 	object acpi_tables.o
 	object fadt.o
 	makerule dsdt.c
Index: cbv2/src/mainboard/amd/pistachio/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/amd/pistachio/Makefile.inc
+++ cbv2/src/mainboard/amd/pistachio/Makefile.inc
@@ -23,11 +23,11 @@ driver-y += mainboard.o
 
 # Needed by irq_tables and mptable and acpi_tables.
 obj-y += get_bus_conf.o
-obj-$(CONFIG_HAVE_MP_TABLE) += mptable.o
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += dsdt.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += acpi_tables.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += fadt.o
+obj-$(CONFIG_GENERATE_MP_TABLE) += mptable.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += dsdt.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += acpi_tables.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += fadt.o
 
 # This is part of the conversion to init-obj and away from included code.
 
Index: cbv2/src/mainboard/amd/pistachio/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/amd/pistachio/Options.lb
+++ cbv2/src/mainboard/amd/pistachio/Options.lb
@@ -19,9 +19,9 @@
 ##
 ##
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
-uses CONFIG_HAVE_ACPI_TABLES
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
+uses CONFIG_GENERATE_ACPI_TABLES
 uses CONFIG_HAVE_ACPI_RESUME
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
@@ -118,17 +118,17 @@ default CONFIG_HAVE_HARD_RESET=1
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=11
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ## ACPI tables will be included
-default CONFIG_HAVE_ACPI_TABLES=1
+default CONFIG_GENERATE_ACPI_TABLES=1
 
 ##
 ## Build code to export a CMOS option table
Index: cbv2/src/mainboard/amd/pistachio/mptable.c
===================================================================
--- cbv2.orig/src/mainboard/amd/pistachio/mptable.c
+++ cbv2/src/mainboard/amd/pistachio/mptable.c
@@ -142,7 +142,7 @@ void *smp_write_config_table(void *v)
 	/* PCI interrupts are level triggered, and are
 	 * associated with a specific bus/device/function tuple.
 	 */
-#if CONFIG_HAVE_ACPI_TABLES == 0
+#if CONFIG_GENERATE_ACPI_TABLES == 0
 #define PCI_INT(bus, dev, fn, pin) \
         smp_write_intsrc(mc, mp_INT, MP_IRQ_TRIGGER_LEVEL|MP_IRQ_POLARITY_LOW, (bus), (((dev)<<2)|(fn)), apicid_sb600, (pin))
 #else
Index: cbv2/src/mainboard/amd/rumba/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/amd/rumba/Config.lb
+++ cbv2/src/mainboard/amd/rumba/Config.lb
@@ -14,7 +14,7 @@ arch i386 end
 
 driver mainboard.o
 
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 #object reset.o
 
 ##
Index: cbv2/src/mainboard/amd/rumba/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/amd/rumba/Options.lb
+++ cbv2/src/mainboard/amd/rumba/Options.lb
@@ -1,5 +1,5 @@
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -26,7 +26,7 @@ uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
-uses CONFIG_HAVE_MP_TABLE
+uses CONFIG_GENERATE_MP_TABLE
 uses CONFIG_CROSS_COMPILE
 uses CC
 uses HOSTCC
@@ -55,7 +55,7 @@ default CONFIG_HAVE_FALLBACK_BOOT=1
 ##
 ## no MP table
 ##
-default CONFIG_HAVE_MP_TABLE=0
+default CONFIG_GENERATE_MP_TABLE=0
 
 ##
 ## Build code to reset the motherboard from coreboot
@@ -70,7 +70,7 @@ default CONFIG_TSC_X86RDTSC_CALIBRATE_WI
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=2
 #object irq_tables.o
 
Index: cbv2/src/mainboard/amd/serengeti_cheetah/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/amd/serengeti_cheetah/Config.lb
+++ cbv2/src/mainboard/amd/serengeti_cheetah/Config.lb
@@ -15,15 +15,15 @@ driver mainboard.o
 #needed by irq_tables and mptable and acpi_tables
 object get_bus_conf.o
 
-if CONFIG_HAVE_MP_TABLE 
+if CONFIG_GENERATE_MP_TABLE 
 	object mptable.o 
 end
 
-if CONFIG_HAVE_PIRQ_TABLE 
+if CONFIG_GENERATE_PIRQ_TABLE 
 	object irq_tables.o 
 end
 
-#if CONFIG_HAVE_ACPI_TABLES
+#if CONFIG_GENERATE_ACPI_TABLES
 #       object acpi_tables.o
 #       object fadt.o
 #       if CONFIG_SB_HT_CHAIN_ON_BUS0
@@ -41,7 +41,7 @@ end
 #       end
 #end
 
-if CONFIG_HAVE_ACPI_TABLES
+if CONFIG_GENERATE_ACPI_TABLES
         object acpi_tables.o
         object fadt.o
 	makerule dsdt.c
Index: cbv2/src/mainboard/amd/serengeti_cheetah/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/amd/serengeti_cheetah/Makefile.inc
+++ cbv2/src/mainboard/amd/serengeti_cheetah/Makefile.inc
@@ -23,11 +23,11 @@ driver-y += mainboard.o
 
 # Needed by irq_tables and mptable and acpi_tables.
 obj-y += get_bus_conf.o
-obj-$(CONFIG_HAVE_MP_TABLE) += mptable.o
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += dsdt.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += acpi_tables.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += fadt.o
+obj-$(CONFIG_GENERATE_MP_TABLE) += mptable.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += dsdt.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += acpi_tables.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += fadt.o
 
 # ./ssdt.o is in northbridge/amd/amdk8/Config.lb
 obj-$(CONFIG_ACPI_SSDTX_NUM) += ssdt2.o
Index: cbv2/src/mainboard/amd/serengeti_cheetah/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/amd/serengeti_cheetah/Options.lb
+++ cbv2/src/mainboard/amd/serengeti_cheetah/Options.lb
@@ -1,6 +1,6 @@
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
-uses CONFIG_HAVE_ACPI_TABLES
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
+uses CONFIG_GENERATE_ACPI_TABLES
 uses CONFIG_HAVE_ACPI_RESUME
 uses CONFIG_ACPI_SSDTX_NUM
 uses CONFIG_USE_FALLBACK_IMAGE
@@ -123,17 +123,17 @@ default CONFIG_HAVE_HARD_RESET=1
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=11
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ## ACPI tables will be included
-default CONFIG_HAVE_ACPI_TABLES=1
+default CONFIG_GENERATE_ACPI_TABLES=1
 ## extra SSDT num
 default CONFIG_ACPI_SSDTX_NUM=1
 
Index: cbv2/src/mainboard/amd/serengeti_cheetah_fam10/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/amd/serengeti_cheetah_fam10/Config.lb
+++ cbv2/src/mainboard/amd/serengeti_cheetah_fam10/Config.lb
@@ -33,15 +33,15 @@ driver mainboard.o
 #needed by irq_tables and mptable and acpi_tables
 object get_bus_conf.o
 
-if CONFIG_HAVE_MP_TABLE
+if CONFIG_GENERATE_MP_TABLE
 	object mptable.o
 end
 
-if CONFIG_HAVE_PIRQ_TABLE
+if CONFIG_GENERATE_PIRQ_TABLE
 	object irq_tables.o
 end
 
-if CONFIG_HAVE_ACPI_TABLES
+if CONFIG_GENERATE_ACPI_TABLES
 	 object acpi_tables.o
 	 object fadt.o
 	makerule dsdt.c
Index: cbv2/src/mainboard/amd/serengeti_cheetah_fam10/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/amd/serengeti_cheetah_fam10/Makefile.inc
+++ cbv2/src/mainboard/amd/serengeti_cheetah_fam10/Makefile.inc
@@ -23,17 +23,17 @@ driver-y += mainboard.o
 
 # Needed by irq_tables and mptable and acpi_tables.
 obj-y += get_bus_conf.o
-obj-$(CONFIG_HAVE_MP_TABLE) += mptable.o
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += dsdt.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += acpi_tables.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += fadt.o
+obj-$(CONFIG_GENERATE_MP_TABLE) += mptable.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += dsdt.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += acpi_tables.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += fadt.o
 
 # ./ssdt.o is in northbridge/amd/amdfam10/Makefile.inc
-obj-$(CONFIG_HAVE_ACPI_TABLES) += ssdt2.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += ssdt3.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += ssdt4.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += ssdt5.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += ssdt2.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += ssdt3.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += ssdt4.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += ssdt5.o
 
 driver-y += ../../../drivers/i2c/i2cmux2/i2cmux2.o
 
